org.eclipse.jface.text.rules

## Interface IToken

All Known Implementing Classes:
  Token

    public interface IToken

A token to be returned by a rule.

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `getData()` Return a data attached to this token.
`boolean` `isEOF()` Return whether this token represents End Of File.
`boolean` `isOther()` Return whether this token is neither undefined, nor whitespace, nor EOF.
`boolean` `isUndefined()` Return whether this token is undefined.
`boolean` `isWhitespace()` Return whether this token represents a whitespace.

### Method Detail

#### isUndefined

    boolean isUndefined()

Return whether this token is undefined.

Returns:
  `true`if this token is undefined

#### isWhitespace

    boolean isWhitespace()

Return whether this token represents a whitespace.

Returns:
  `true`if this token represents a whitespace

#### isEOF

    boolean isEOF()

Return whether this token represents End Of File.

Returns:
  `true`if this token represents EOF

#### isOther

    boolean isOther()

Return whether this token is neither undefined, nor whitespace, nor EOF.

Returns:
  `true`if this token is not undefined, not a whitespace, and not EOF

#### getData

    Object getData()

Return a data attached to this token. The semantics of this data kept undefined by this interface.

Returns:
  the data attached to this token.